Bug 40912 - [4.5 Regression] failure to pre-compile bits/stdc++.h.gch/O2ggnu++0x.gch
[4.5 Regression] failure to pre-compile bits/stdc++.h.gch/O2ggnu++0x.gch
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: libstdc++
4.5.0
: P1 blocker
: 4.5.0
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-30 10:08 UTC by Hin-Tak Leung
Modified: 2009-08-02 23:37 UTC (History)
2 users (show)

See Also:
Host: alphaev68-dec-osf5.1a
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-07-31 09:41:52


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hin-Tak Leung 2009-07-30 10:08:56 UTC
I don't know if it is appropriate to file bugs against a snapshot... it is okay to close this if the issue was transient and a latter commit fixes the issue reported here. In the course of checking bug 40894 against current gcc code base I got the gcc-4.5-20090723 weekly snapshot tar ball. make bootstrap4-lean fails while precompiling the libstdc++ headers:
--------------
make[3]: Entering directory `/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3'
Making all in include
make[4]: Entering directory `/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include'
mkdir -p ./alphaev68-dec-osf5.1a/bits/stdc++.h.gch
/home/htl10/tmp-build/obj45-dir/./gcc/xgcc -shared-libgcc -B/home/htl10/tmp-build/obj45-dir/./gcc -nostdinc++ -L/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/src -L/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/src/.libs -B/usr/local/alphaev68-dec-osf5.1a/bin/ -B/usr/local/alphaev68-dec-osf5.1a/lib/ -isystem /usr/local/alphaev68-dec-osf5.1a/include -isystem /usr/local/alphaev68-dec-osf5.1a/sys-include    -x c++-header -g -O2 -mieee -I/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/alphaev68-dec-osf5.1a -I/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include -I/home/htl10/tmp-build/gcc-4.5-20090723/libstdc++-v3/libsupc++ -O2 -g -std=gnu++0x /home/htl10/tmp-build/gcc-4.5-20090723/libstdc++-v3/include/precompiled/stdc++.h \
	-o alphaev68-dec-osf5.1a/bits/stdc++.h.gch/O2ggnu++0x.gch
In file included from /home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/random:50:0,
                 from /home/htl10/tmp-build/gcc-4.5-20090723/libstdc++-v3/include/precompiled/stdc++.h:102:
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1310:38: error: 'uint_fast32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1310:79: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1310:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1310:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1310:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1311:15: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1316:38: error: 'uint_fast32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1316:79: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1316:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1316:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1316:79: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1317:14: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1328:5: error: 'uint_fast32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:35: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1333:44: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1339:5: error: 'uint_fast64_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:27: error: '<type error>' is not a valid type for a template constant parameter
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1345:39: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1350:38: error: 'uint_fast32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1350:63: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1351:18: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1353:38: error: 'uint_fast64_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1353:62: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1354:18: error: invalid type in declaration before ';' token
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h: In member function 'std::random_device::result_type std::random_device::operator()()':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:1444:20: error: '((std::random_device*)this)->std::random_device::_M_mt' cannot be used as a function
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h: At global scope:
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4556:13: error: 'uint_least32_t' does not name a type
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4585:17: error: 'result_type' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4585:28: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4585:28: error: template argument 2 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h: In member function 'size_t std::seed_seq::size() const':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4576:19: error: request for member 'size' in '((const std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'const int'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h: In member function 'void std::seed_seq::param(OutputIterator) const':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4581:24: error: request for member 'begin' in '((const std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'const int'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.h:4581:38: error: request for member 'end' in '((const std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'const int'
In file included from /home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/random:53:0,
                 from /home/htl10/tmp-build/gcc-4.5-20090723/libstdc++-v3/include/precompiled/stdc++.h:102:
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In member function 'void std::linear_congruential_engine<_UIntType, __a, __c, __m>::seed(std::seed_seq&)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:119:7: error: 'uint_least32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:119:22: error: expected ';' before '__arr'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:120:20: error: '__arr' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In member function 'void std::mersenne_twister_engine<_UIntType, __w, __n, __m, __r, __a, __u, __d, __s, __b, __t, __c, __l, __f>::seed(std::seed_seq&)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:209:7: error: 'uint_least32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:209:22: error: expected ';' before '__arr'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:210:20: error: '__arr' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In member function 'void std::subtract_with_carry_engine<_UIntType, __w, __s, __r>::seed(result_type)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:359:33: error: 'uint_least32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:360:27: error: 'uint_least32_t' cannot appear in a constant-expression
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:360:45: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:360:45: error: template argument 3 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In member function 'void std::subtract_with_carry_engine<_UIntType, __w, __s, __r>::seed(std::seed_seq&)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:377:7: error: 'uint_least32_t' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:377:22: error: expected ';' before '__arr'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:378:20: error: '__arr' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In constructor 'std::seed_seq::seed_seq(std::initializer_list<_CharT>)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2484:7: error: request for member 'push_back' in '((std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'int'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2484:33: error: 'result_type' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2485:27: error: 'result_type' cannot appear in a constant-expression
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2485:42: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2485:42: error: template argument 3 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In constructor 'std::seed_seq::seed_seq(_InputIterator, _InputIterator)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2492:7: error: request for member 'push_back' in '((std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'int'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2492:33: error: 'result_type' was not declared in this scope
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2493:27: error: 'result_type' cannot appear in a constant-expression
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2493:42: error: template argument 1 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2493:42: error: template argument 3 is invalid
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc: In member function 'void std::seed_seq::generate(_RandomAccessIterator, _RandomAccessIterator)':
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2510:31: error: request for member 'size' in '((std::seed_seq*)this)->std::seed_seq::_M_v', which is of non-class type 'int'
/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include/bits/random.tcc:2532:38: error: invalid types 'int[size_t]' for array subscript
make[4]: *** [alphaev68-dec-osf5.1a/bits/stdc++.h.gch/O2ggnu++0x.gch] Error 1
make[4]: Leaving directory `/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3/include'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/htl10/tmp-build/obj45-dir/alphaev68-dec-osf5.1a/libstdc++-v3'
make[1]: *** [all-target-libstdc++-v3] Error 2
make[1]: Leaving directory `/home/htl10/tmp-build/obj45-dir'
make: *** [bootstrap4-lean] Error 2
-----------
Comment 1 Paolo Carlini 2009-07-30 11:30:58 UTC
Why don't you just use SVN? Also, is this failure new, or not? As far as I know could even be months old...
Comment 2 Hin-Tak Leung 2009-07-30 11:49:52 UTC
(In reply to comment #1)
> Why don't you just use SVN? Also, is this failure new, or not? As far as I know
> could even be months old...

I am digging a hole for myself here - am currently building svn (and before that, openssl) just so that I can checkout the lastest gcc code instead of last week's snapshot :-(. I try to keep the system vanilla...

The bug is reasonably new - 4.3.3 did work, and 4.4.1 worked as make (caveate bug 40894).  
Comment 3 Paolo Carlini 2009-07-30 12:41:39 UTC
Well, the file itself didn't *exist* in 4.3.x and 4.4.x...
Comment 4 Hin-Tak Leung 2009-07-30 12:57:08 UTC
(In reply to comment #3)
> Well, the file itself didn't *exist* in 4.3.x and 4.4.x...

Oh, indeed... have been trying to build subversion for the last few hours just so that I can try last night's instead of last week's gcc, and it is not funny...

(the box itself is in the different country and time zone, and behind NAT in both directions... it is getting tempting to *wait* svn co here then *wait* scp two hoops over...). 

Comment 5 Paolo Carlini 2009-07-30 15:41:06 UTC
As a side note, I want to mention that we are very close to finally fixing c/448 for 4.5.0. Then, any problem related to <stdint.h> will disappear.
Comment 6 Hin-Tak Leung 2009-07-30 15:58:58 UTC
(In reply to comment #5)
> As a side note, I want to mention that we are very close to finally fixing
> c/448 for 4.5.0. Then, any problem related to <stdint.h> will disappear.

What is 'c/448'? I have spent almost a day now trying to build svn or run one of the other java-based svn client without success. (just svn itself written making far many GNU assumptions, and no working jvm - including gij - on the platform), so I have downloaded the first 4.5, gcc-4.5-20090402, and try building it now. (I thought I would get when the code first entered the system, but it looks like the tar ball was same day but earlier.. oh well). at this rate the next tar ball is due out soon anyway... 

Comment 7 Paolo Carlini 2009-07-30 16:26:04 UTC
Do you want something to click? PR448
Comment 8 joseph@codesourcery.com 2009-07-30 16:30:46 UTC
Subject: Re:  4.5 weekly snapshot: failed to pre-compile
 bits/stdc++.h.gch/O2ggnu++0x.gch

On Thu, 30 Jul 2009, paolo dot carlini at oracle dot com wrote:

> As a side note, I want to mention that we are very close to finally fixing
> c/448 for 4.5.0. Then, any problem related to <stdint.h> will disappear.

We're still quite some way from that; I just sent a list of 14 target OSes 
that either need stdint.h information entered in GCC, or need to be 
deprecated.  (This is down from 20 at the start of April: information has 
been added since then for Darwin, FreeBSD, HP-UX, Cygwin, MinGW and AIX.)

http://gcc.gnu.org/ml/gcc/2009-07/msg00625.html

Comment 9 Hin-Tak Leung 2009-07-30 16:54:45 UTC
(In reply to comment #7)
> Do you want something to click? PR448

Oh, I didn't expect bug id that old to be relevant - I thought c/448 might be short for bug XX448 so I tried bug 40448 :-).

(In reply to comment #8)
> Subject: Re:  4.5 weekly snapshot: failed to pre-compile
>  bits/stdc++.h.gch/O2ggnu++0x.gch
> 
> On Thu, 30 Jul 2009, paolo dot carlini at oracle dot com wrote:
> 
> > As a side note, I want to mention that we are very close to finally fixing
> > c/448 for 4.5.0. Then, any problem related to <stdint.h> will disappear.
> 
> We're still quite some way from that; I just sent a list of 14 target OSes 
> that either need stdint.h information entered in GCC, or need to be 
> deprecated.  (This is down from 20 at the start of April: information has 
> been added since then for Darwin, FreeBSD, HP-UX, Cygwin, MinGW and AIX.)
> 
> http://gcc.gnu.org/ml/gcc/2009-07/msg00625.html
> 

I can't say about the others alpha*-dec-osf[45]*, but I can certainly give you
alphaev68-dec-osf5.1a . How do you like this info? If you have a list to hunt for, or even a small test program which includes the various headers and print the numbers, I can do that...

See as I seem to be the only one submitting testsuite results for alpha*-dec-osf[45]* beyond 4.1-ish, what is the qualification/requirement for OS porter/maintainer to take it off the deprecated list?




Comment 10 joseph@codesourcery.com 2009-07-30 19:28:02 UTC
Subject: Re:  4.5 weekly snapshot: failed to pre-compile
 bits/stdc++.h.gch/O2ggnu++0x.gch

On Thu, 30 Jul 2009, htl10 at users dot sourceforge dot net wrote:

> I can't say about the others alpha*-dec-osf[45]*, but I can certainly give you
> alphaev68-dec-osf5.1a . How do you like this info? If you have a list to hunt

In the form of a patch submission following the documentation at
http://gcc.gnu.org/contribute.html
and in particular passing the c99-stdint-* testcases.

> See as I seem to be the only one submitting testsuite results for
> alpha*-dec-osf[45]* beyond 4.1-ish, what is the qualification/requirement for
> OS porter/maintainer to take it off the deprecated list?

It's not currently on a deprecation list, but maintainers of parts of the 
compiler will need to have a copyright assignment on file with the FSF and 
have submitted sufficient good patches to that part of the compiler to 
have been made maintainer by the SC.  The requirement to avoid deprecation 
may be less than having a maintainer: monitor test results, send patches 
to fix issues that arise and other issues (such as this one) that need 
work for each OS and revise and ping patches as needed to get them in.

Personally I think we should eliminate the mips-tdump and mips-tfile 
programs (which may mean making these targets work properly with the GNU 
assembler) but I haven't actually made a proposal to deprecate these 
targets in the absence of elimination of those programs.

Comment 11 Hin-Tak Leung 2009-07-31 01:50:22 UTC
gcc-4.5-20090409 (svn r145863) breaks at the same place; gcc-4.5-20090402 (svn r145482) breaks later at
---------
make  all-am
make[4]: Entering directory `/home/htl10/tmp-build/45b/alphaev68-dec-osf5.1a/libjava/libltdl'
/bin/ksh ./libtool --tag=CC --mode=compile /home/htl10/tmp-build/45b/./gcc/xgcc -B/home/htl10/tmp-build/45b/./gcc/ -B/usr/local/alphaev68-dec-osf5.1a/bin/ -B/usr/local/alphaev68-dec-osf5.1a/lib/ -isystem /usr/local/alphaev68-dec-osf5.1a/include -isystem /usr/local/alphaev68-dec-osf5.1a/sys-include -DHAVE_CONFIG_H -I. -I../../../../gcc-4.5-20090402/libjava/libltdl -I.   -I/usr/local/include  -g -O2 -mieee   -c -o ltdl.lo ../../../../gcc-4.5-20090402/libjava/libltdl/ltdl.c
libtool: compile: libobj name `ltdl.lo' may not contain shell special characters.
make[4]: *** [ltdl.lo] Error 1
make[4]: Leaving directory `/home/htl10/tmp-build/45b/alphaev68-dec-osf5.1a/libjava/libltdl'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/htl10/tmp-build/45b/alphaev68-dec-osf5.1a/libjava/libltdl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/htl10/tmp-build/45b/alphaev68-dec-osf5.1a/libjava'
make[1]: *** [all-target-libjava] Error 2
make[1]: Leaving directory `/home/htl10/tmp-build/45b'
make: *** [all] Error 2
-----------------20090402 

since the code concerned entered as r145483 just after gcc-4.5-20090402 (svn r145482), I think we can conclude that that bits of code has _always_ been broken since day 1.




Comment 12 Hin-Tak Leung 2009-07-31 02:14:17 UTC
(In reply to comment #10)
It looks like 4.5 will be dead-on-arrival alpha*-dec-osf[45]*, unless I fix this myself... 
Comment 13 Paolo Carlini 2009-07-31 09:41:52 UTC
The problem here is very simple, unless c/448 is completely fixed for all the targets and closed, the <random> feature, since uses <stdint.h> types must be completely disabled if such header doesn't exist or doesn't provide the required types. We already have infrastructure for that, used elsewhere, only, the author of the first draft of the feature which went in at the beginning of April forgot to do that. Admittedly, it's a lot of boring and very soon obsolete work, but I can do it, as the last resort if c/448 doesn't get fixed in time.
Comment 14 Paolo Carlini 2009-07-31 09:49:23 UTC
Note, in the meanwhile, if you want to build to test other parts of the C++ library, other things, whatever, you can always pass --disable-libstdcxx-pch
Comment 15 Hin-Tak Leung 2009-07-31 09:55:35 UTC
(In reply to comment #14)
> Note, in the meanwhile, if you want to build to test other parts of the C++
> library, other things, whatever, you can always pass --disable-libstdcxx-pch

Thanks for the tips. 

I can dig through the system headers if that helps. Also I have looked into gcc.git and will probably have some solution for my no-svn and behind-NAT problem to have access to last hour's gcc code on that box soon. (yes I am mostly a git believer, although I can use cvs/svn). 


Comment 16 paolo@gcc.gnu.org 2009-07-31 12:19:41 UTC
Subject: Bug 40912

Author: paolo
Date: Fri Jul 31 12:19:26 2009
New Revision: 150312

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=150312
Log:
2009-07-31  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40912 (partial)
	* include/std/random: Disable the facility if <stdint.h> is not
	available.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/std/random

Comment 17 Paolo Carlini 2009-07-31 12:22:19 UTC
With the patch I applied the build doesn't fail anymore. Of course, the testcases still fail, at compile-time, if <stdint.h> is not available and defining the required types.
Comment 18 Hin-Tak Leung 2009-08-02 22:33:54 UTC
Tried svn r150353 (today) and the precompiled problem is gone and it fails at the same place as before the precompiled header change - as in gcc-4.5-20090402 (svn
r145482) mentioned in comment 11:

-----------------
make[4]: Entering directory `/home/htl10/tmp-build/g-svn/alphaev68-dec-osf5.1a/libjava/libltdl'
/bin/ksh ./libtool --tag=CC --mode=compile /home/htl10/tmp-build/g-svn/./gcc/xgcc -B/home/htl10/tmp-build/g-svn/./gcc/ -B/usr/local/alphaev68-dec-osf5.1a/bin/ -B/usr/local/alphaev68-dec-osf5.1a/lib/ -isystem /usr/local/alphaev68-dec-osf5.1a/include -isystem /usr/local/alphaev68-dec-osf5.1a/sys-include    -DHAVE_CONFIG_H -I. -I../../../../gcc-r150353/libjava/libltdl -I.   -I/usr/local/include  -g -O2 -mieee -c -o ltdl.lo ../../../../gcc-r150353/libjava/libltdl/ltdl.c
libtool: compile: libobj name `ltdl.lo' may not contain shell special characters.
make[4]: *** [ltdl.lo] Error 1
make[4]: Leaving directory `/home/htl10/tmp-build/g-svn/alphaev68-dec-osf5.1a/libjava/libltdl'
-------------
Comment 19 Hin-Tak Leung 2009-08-02 22:51:21 UTC
The libltdl issue is a ksh bug... setting CONFIG_SHELL works around it. (The person running ../src/configure has $SHELL=bash and I don't know why it wasn't inherited...)
http://www.mail-archive.com/libtool-patches@gnu.org/msg00620.html
Comment 20 paolo@gcc.gnu.org 2009-08-02 23:35:59 UTC
Subject: Bug 40912

Author: paolo
Date: Sun Aug  2 23:35:41 2009
New Revision: 150361

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=150361
Log:
2009-08-02  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40912 (final)
	* testsuite/26_numerics/random/mt19937.cc: dg-require-cstdint.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	parms_neg.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/initlist_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/minstd_rand.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	range.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	initlist.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/requirements/
	typedefs.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/parms_neg.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/ranlux24_base.cc: Likewise.
	* testsuite/26_numerics/random/
	default_random_engine.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/initlist.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/base_move.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/base_copy.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/ranlux48_base.cc: Likewise.
	* testsuite/26_numerics/random/minstd_rand0.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	base_move.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed1.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed2.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	base_copy.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mt19937_64.cc: Likewise.
	* testsuite/26_numerics/random/random_device/cons/
	token.cc: Likewise.
	* testsuite/26_numerics/random/random_device/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/random_device/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/ranlux24.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/initlist_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/non_uint_neg.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/ranlux48.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	base_move.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed1.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed2.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	base_copy.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/knuth_b.cc: Likewise.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/testsuite/26_numerics/random/bernoulli_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/bernoulli_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/bernoulli_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/binomial_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/binomial_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/binomial_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/cauchy_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/cauchy_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/cauchy_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/chi_squared_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/chi_squared_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/chi_squared_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/default_random_engine.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/base_copy.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/base_move.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/seed_seq.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discrete_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discrete_distribution/cons/initlist.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discrete_distribution/cons/num_xbound_fun.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discrete_distribution/cons/range.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/discrete_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/exponential_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/exponential_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/exponential_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/extreme_value_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/extreme_value_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/extreme_value_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/fisher_f_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/fisher_f_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/fisher_f_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/gamma_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/gamma_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/gamma_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/geometric_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/geometric_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/geometric_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/base_copy.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/base_move.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/seed_seq.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/knuth_b.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/requirements/non_uint_neg.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/lognormal_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/lognormal_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/lognormal_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/minstd_rand.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/minstd_rand0.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mt19937.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/mt19937_64.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/negative_binomial_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/negative_binomial_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/negative_binomial_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/normal_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/normal_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/normal_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_constant_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_constant_distribution/cons/initlist_fun.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_constant_distribution/cons/num_xbound_fun.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_constant_distribution/cons/range.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_constant_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_linear_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_linear_distribution/cons/initlist_fun.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_linear_distribution/cons/num_xbound_fun.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_linear_distribution/cons/range.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/piecewise_linear_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/poisson_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/poisson_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/poisson_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/random_device/cons/token.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/random_device/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/ranlux24.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/ranlux24_base.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/ranlux48.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/ranlux48_base.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/initlist.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/range.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/seed_seq/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/base_copy.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/base_move.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/cons/seed_seq.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/shuffle_order_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/student_t_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/student_t_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/student_t_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/seed1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/seed2.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/operators/equal.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/operators/serialize.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_int_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_int_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_int_distribution/cons/parms_neg.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_int_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_real_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_real_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_real_distribution/cons/parms_neg.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/uniform_real_distribution/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/weibull_distribution/cons/default.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/weibull_distribution/cons/parms.cc
    trunk/libstdc++-v3/testsuite/26_numerics/random/weibull_distribution/requirements/typedefs.cc

Comment 21 Paolo Carlini 2009-08-02 23:37:52 UTC
Fixed.